> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/api/payments/gateway-settings/paylink.md).

# Paylink

The Paylink resource allows you to configure settings for payment link-based transactions.

Integrating the Paylink lets you send a payment link to customers by text message (SMS) or e-mail as an invoice payment request to accept payments online. This secure link directs your customers to a pre-generated payment form where they can pay by credit card, debit card, or ACH.

Integrate the securely hosted Paylink into your website using the [Paylink Settings](https://docs.xplorpay.com/api-reference/api/payments/gateway-settings/paylink-settings) API.

{% hint style="danger" %}
Don't host payment forms on public pages. Protect the payment form from fraudulent card testing and delays in payment processing.
{% endhint %}

### Protect Paylink

To protect the hosted payment form from fraudulent card testing and payment delays.

{% stepper %}
{% step %}
**Secure access to the payment page**

Require login credentials to access the hosted payment form. This helps deter card‑testing attempts and indexing by search engines.

Creating an additional authorization fee protects the payment form on your site from malicious activity.
{% endstep %}

{% step %}
**Enable Card Security Code (CSC)**

Require customers to enter a Card Security Code (CSC) when making payments on the hosted payment form. This helps verify card authenticity.

**Enable CSC for Virtual Terminal**

To enable CSC for the Virtual Terminal:

1. In the Merchant Portal, go to **Virtual Terminal** > **VT Settings** > **Card Security Code (CSC)**.
2. Enable the **Card Security Code (CSC)** setting.

**Enable CSC for Paylink**

To enable CSC for the Paylink:

1. In the Merchant Portal, go to **Virtual Terminal** > **VT Settings** > **Paylink** > **Configurable Payment Page Properties** > **Card Payment Properties**.
2. Set **CVC required** to **True**.

{% hint style="info" %}
The **CVC required** property is set to **True** by default for Paylink settings.
{% endhint %}

{% hint style="warning" %}
If you need help enabling Card Security Code (CSC) for your Virtual Terminal and Paylink, contact the [Support Team](https://xplorpay.com/contact/).
{% endhint %}
{% endstep %}
{% endstepper %}

* [PayLink Settings](/api-reference/api/payments/gateway-settings/paylink-settings.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/payments/gateway-settings/paylink.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
